var jarName = "viewsourcewith.jar";
var productName = "ViewSourceWith";
var packageName = "viewsourcewith";
var productVersionBuild = "0.0.6";
var regName = "/dafi/viewsourcewith";

var locales = new Array("en-US", "it-IT", "fr-FR", "es-ES", "pl-PL", "ja-JP");
var skins   = new Array("classic");

var chromeFolder = getFolder("Chrome");
var chromeFolderJar = getFolder("Chrome", jarName);
var userChromeFolder = getFolder("Current User","chrome");
var userChromeFolderJar = getFolder("Current User","chrome/" + jarName);

var installType = 0; // 0 is global, 1 is profile

if (buildID && buildID >= 2003030700) {
	var ans = confirm("Click OK to install " + productName + " in the global chrome folder:\n or Cancel to install it in the profile chrome folder");
	if (!ans) {
		installType=1;
	}
}

var err = initInstall(productName, regName, productVersionBuild);
if (err != SUCCESS) {
    logComment("initInstall");
    cancelInstall(err);
}

if (installType == 0) {
    err = addFile(productName, 'chrome/' + jarName, chromeFolder, "");
    if (err != SUCCESS) {
        logComment("addFile");
        cancelInstall(err);
    }

    registerChrome(CONTENT | DELAYED_CHROME, chromeFolderJar, "content/" + packageName + "/");
    for (var i = 0; i < locales.length; i++) {
        registerChrome(LOCALE | DELAYED_CHROME, chromeFolderJar, "locale/" + locales[i] + "/" + packageName + "/");
    }
    err = getLastError();
    if (err != SUCCESS) {
        logComment("registerChrome Locale");
        cancelInstall(err);
    }

    for (var i = 0; i < skins.length; i++) {
        registerChrome(SKIN | DELAYED_CHROME, chromeFolderJar, "skin/" + skins[i] + "/" + packageName + "/");
    }
    if (err != SUCCESS) {
        logComment("registerChrome Skin");
        cancelInstall(err);
    }

} else {
    err = addFile(regName, 'chrome/' + jarName, userChromeFolder, "");
    if (err != SUCCESS) {
        logComment("addFile");
        cancelInstall(err);
    }

    registerChrome(CONTENT | PROFILE_CHROME, userChromeFolderJar, "content/" + packageName + "/");
    for (var i = 0; i < locales.length; i++) {
        registerChrome(LOCALE | PROFILE_CHROME, userChromeFolderJar, "locale/" + locales[i] + "/" + packageName + "/");
    }
    err = getLastError();
    if (err != SUCCESS) {
        logComment("registerChrome");
        cancelInstall(err);
    }

    for (var i = 0; i < skins.length; i++) {
        registerChrome(SKIN | PROFILE_CHROME, userChromeFolderJar, "skin/" + skins[i] + "/" + packageName + "/");
    }
    if (err != SUCCESS) {
        logComment("registerChrome Skin");
        cancelInstall(err);
    }
}

err = performInstall();
if (err < 0 ) {
    logComment("performInstall");
    cancelInstall();
} else {
    alert("Please restart your browser");
}




